taffybar-4.0.2: A desktop bar similar to xmobar, but with more GUI

Copyright | (c) Ivan A. Malison
License | BSD3-style (see LICENSE)
Maintainer | Ivan A. Malison
Stability | unstable
Portability | unportable
Safe Haskell | Safe-Inferred
Language | Haskell2010

System.Taffybar.Widget.NetworkGraph

Description

This module provides a channel based network graph widget.

Synopsis

- data NetworkGraphConfig = NetworkGraphConfig {
  - networkGraphGraphConfig :: GraphConfig
  - networkGraphTooltipFormat :: Maybe (String, Int)
  - networkGraphScale :: Double -> Double
  - interfacesFilter :: String -> Bool
  }
- defaultNetworkGraphConfig :: NetworkGraphConfig
- networkGraphNew :: GraphConfig -> Maybe [String] -> TaffyIO Widget
- networkGraphNewWith :: NetworkGraphConfig -> TaffyIO Widget

# Documentation

data NetworkGraphConfig Source #

`NetworkGraphConfig` configures the network graph widget.

Constructors

NetworkGraphConfig |

Fields

- networkGraphGraphConfig :: GraphConfig

  The configuration of the graph itself. | A tooltip format string, together with the precision that should be used for numbers in the string.

- networkGraphTooltipFormat :: Maybe (String, Int)
- networkGraphScale :: Double -> Double

  A function to scale the y axis of the network config. The default is `logBase $ 2 ** 32`.

- interfacesFilter :: String -> Bool

  A filter function that determines whether a given interface will be included in the network stats.

#### Instances

Instances details

Default NetworkGraphConfig Source # |
Instance details Defined in System.Taffybar.Widget.NetworkGraph Methods def :: NetworkGraphConfig #

defaultNetworkGraphConfig :: NetworkGraphConfig Source #

Default configuration paramters for the network graph.

networkGraphNew :: GraphConfig -> Maybe [String] -> TaffyIO Widget Source #

`networkGraphNew` instantiates a network graph widget from a `GraphConfig` and a list of interfaces.

networkGraphNewWith :: NetworkGraphConfig -> TaffyIO Widget Source #

`networkGraphNewWith` instantiates a network graph widget from a `NetworkGraphConfig`.